#include "stdafx.h"
#include "header.h"

int classSetup()
{
    // A temporary routine used to hardcode the simple
    // rule set classes and other related data.
    
    // TODO: Once the editor function are online, this
    // routine can be phased out.
    
    colorGet();
    parStrings(txt, "def_rules");
    
    // Classes
    
    giClassSlotsUsed = 3;
    rank[1].tName = txt.Get("infantry");
    rank[1].mUnit = gfxLoad("infantry_01", "units");
    rank[1].iBMOV = 5;
    rank[1].iBHP = 15;
    rank[1].iBSTR = 16;
    rank[1].iBCON = 4;
    rank[1].iBAGL = 5;
    rank[1].iBLUK = 1;
    rank[1].iNear = 1;
    rank[1].iRange = 0;
    rank[1].iSpeed = 2;
    colorReplace(rank[1].mUnit, makecol(255, 128, 255), makecol(255, 0, 255));
    rank[2].tName = txt.Get("archer");
    rank[2].mUnit = gfxLoad("archer_01", "units");
    rank[2].iBMOV = 6;
    rank[2].iBHP = 12;
    rank[2].iBSTR = 13;
    rank[2].iBCON = 3;
    rank[2].iBAGL = 12;
    rank[2].iBLUK = 3;
    rank[2].iNear = 2;
    rank[2].iRange = 1;
    rank[2].iSpeed = 2;
    colorReplace(rank[2].mUnit, makecol(255, 128, 255), makecol(255, 0, 255));
    rank[3].tName = txt.Get("cavalry");
    rank[3].mUnit = gfxLoad("cavalry_01", "units");
    rank[3].iBMOV = 9;
    rank[3].iBHP = 9;
    rank[3].iBSTR = 24;
    rank[3].iBCON = 2;
    rank[3].iBAGL = 10;
    rank[3].iBLUK = 7;
    rank[3].iNear = 1;
    rank[3].iRange = 0;  
    rank[3].iSpeed = 3;
    colorReplace(rank[3].mUnit, makecol(255, 128, 255), makecol(255, 0, 255));
    rank[4].tName = txt.Get("chickenman");
    rank[4].mUnit = gfxLoad("chickenman_01", "units");
    rank[4].iBMOV = 15;
    rank[4].iBHP = 5;
    rank[4].iBSTR = 1;
    rank[4].iBCON = 1;
    rank[4].iSpeed = 4;
    colorReplace(rank[4].mUnit, makecol(255, 128, 255), makecol(255, 0, 255));
    
    // Factions
    
    giTotalFactions = 6;
    
    faction[1].iColor = 2;
    faction[1].mIcon = gfxLoad("blue", "teams");
    faction[1].tName = txt.Get("blue");
    faction[2].iColor = 3;
    faction[2].mIcon = gfxLoad("red", "teams");
    faction[2].tName = txt.Get("red");
    faction[3].iColor = 4;
    faction[3].mIcon = gfxLoad("green", "teams");
    faction[3].tName = txt.Get("green");
    faction[4].iColor = 5;
    faction[4].mIcon = gfxLoad("yellow", "teams");
    faction[4].tName = txt.Get("yellow");
    faction[5].iColor = 6;
    faction[5].mIcon = gfxLoad("purple", "teams");
    faction[5].tName = txt.Get("purple");
    faction[6].iColor = 7;
    faction[6].mIcon = gfxLoad("orange", "teams");
    faction[6].tName = txt.Get("orange");
    
    // Terrain
    
    giTerrainSlotsUsed = 11;
    
    terrain[0].tName = "See-Through Tile";
    terrain[0].iCost[0] = -1;
    
    terrain[1].tName = "Grassland";
    terrain[1].iSmooth = 1;
    terrain[1].iCost[0] = 1;
    terrain[1].iDef = 1;
    terrain[1].iAvo = 0;
    
    terrain[2].tName = "Sand";
    terrain[2].iSmooth = 1;
    terrain[2].iCost[0] = 2;
    terrain[2].iDef = 0;
    terrain[2].iAvo = 0;
    
    terrain[3].tName = "Road";
    terrain[3].iSmooth = 1;
    terrain[3].iCost[0] = 1;
    terrain[3].iDef = 0;
    terrain[3].iAvo = 0;
    
    terrain[4].tName = "Forest";
    terrain[4].iBase = 1;
    terrain[4].iCost[0] = 2;
    terrain[4].iDef = 2;
    terrain[4].iAvo = 1;
    
    terrain[5].tName = "Water";
    terrain[5].iCost[0] = -1;
    terrain[5].iDef = 0;
    terrain[5].iAvo = 0;
    
    terrain[6].tName = "Mountain";
    terrain[6].iBase = 1;
    terrain[6].iCost[0] = 5;
    terrain[6].iDef = 4;
    terrain[6].iAvo = 3;
    
    terrain[7].tName = "Fortress";
    terrain[7].iBase = 1;
    terrain[7].iCost[0] = 1;
    terrain[7].iDef = 3;
    terrain[7].iHeal = 5;
    terrain[7].iAvo = 1;

    terrain[8].tName = "Bridge";
    terrain[8].iBase = 0;
    terrain[8].iSmooth = 2;
    terrain[8].iCost[0] = 1;
    terrain[8].iDef = 0;
    terrain[8].iAvo = 0;

    terrain[9].tName = "Foot Hills";
    terrain[9].iBase = 1;
    terrain[9].iSmooth = 0;
    terrain[9].iCost[0] = 4;
    terrain[9].iDef = 3;
    terrain[9].iAvo = 2;

    terrain[10].tName = "Village";
    terrain[10].iBase = 1;
    terrain[10].iSmooth = 0;
    terrain[10].iCost[0] = 1;
    terrain[10].iDef = 2; 
    terrain[10].iHeal = 3;
    terrain[10].iAvo = 1;
    
    terrain[11].tName = "River";
    terrain[11].iSmooth = 1;
    terrain[11].iCost[0] = 5;
    terrain[11].iDef = 0;
    terrain[11].iAvo = 0;
    
    giTerrainPres[0] = 7;
    giTerrainPres[1] = 10;
    giTerrainPres[2] = 9;    
    giTerrainPres[3] = 8;
    giTerrainPres[4] = 6;
    giTerrainPres[5] = 4;
    giTerrainPres[6] = 1;
    giTerrainPres[7] = 3;
    giTerrainPres[8] = 2;
    giTerrainPres[9] = 11;
    giTerrainPres[10] = 5;
    giTerrainPres[11] = 0;
    
    return 0; // Success
};
